Bug 36977 - Problems with resume on a Compaq Armada M300
Problems with resume on a Compaq Armada M300
Status: CLOSED WORKSFORME
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Michael K. Johnson
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-04-21 09:25 EDT by Kjartan Maraas
Modified: 2007-04-18 12:32 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-08-12 05:02:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kjartan Maraas 2001-04-21 09:25:17 EDT
After upgrading to the seawolf kernel (2.4.2-2) I have had 
some problems
with resume from suspend on my Compaq Armada M300 laptop. 
Earlier I had
no problems with resume, but now it seems like the machine freezes the
first time. I have to press the suspend button again and resume once
more to make the machine wake up. Tested on 2.4.3-2.9.2 also
Comment 1 Kjartan Maraas 2001-04-26 09:47:11 EDT
Had a long testing session and with much help from arjan found that eepro100 is
the culprit in my case. If I change to use the e100 module it works fine for me
with one exception. When I resume it loads the ipx and appletalk modules and
thus doesn't talk on the network until I rmmod those.

This is tested on the latest rawhide kernel.
[root@hoth kmaraas]# uname -a
Linux hoth 2.4.2-2 #1 Sun Apr 8 20:41:30 EDT 2001 i686 unknown
[root@hoth kmaraas]# 
Comment 2 Kjartan Maraas 2001-08-12 05:01:57 EDT
Going to try to reproduce this with the latest kernel from rawhide. With the one
I use now (2.4.7-0.11.1) doesn't work for me when trying to suspend using the
button on the laptop. I have to log into the consol and type 'apm -s' which is a
bit annoying.
Comment 3 Kjartan Maraas 2001-08-12 05:09:36 EDT
Both suspend and resume working fine with 2.4.7-0.13.1

Note You need to log in before you can comment on or make changes to this bug.